> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/datamart-management/uplifts.md).

# Uplifts

Operations related to **Uplifts** for creating mutually exclusive test and control segments to measure incremental campaign impact through A/B testing. Enable measurement of true campaign effectiveness by comparing exposed groups against unexposed control groups to determine uplift in conversions and other KPIs.

## GET /datamarts/{datamart\_id}/uplifts

> Find an uplift

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Uplifts","description":"Operations related to **Uplifts** for creating mutually exclusive test and control segments to measure incremental campaign impact through A/B testing. Enable measurement of true campaign effectiveness by comparing exposed groups against unexposed control groups to determine uplift in conversions and other KPIs.\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/uplifts":{"get":{"description":"","parameters":[{"explode":false,"style":"simple","schema":{"type":"integer","format":"int64"},"name":"datamart_id","required":true,"in":"path"},{"schema":{"type":"string"},"required":false,"description":"The id of the uplift","style":"form","in":"query","explode":true,"name":"id"},{"name":"name","description":"The name of the uplift","required":false,"explode":true,"in":"query","style":"form","schema":{"type":"string"}},{"required":false,"name":"description","style":"form","schema":{"type":"string"},"description":"The description of the uplift","in":"query","explode":true},{"style":"form","name":"initialSourceType","in":"query","required":false,"description":"The initial source type of the uplift","schema":{"$ref":"#/components/schemas/UpliftInitialSourceType"},"explode":true},{"description":"The initial initial query text of the uplift","style":"form","required":false,"name":"initialQueryText","explode":true,"schema":{"type":"string"},"in":"query"},{"name":"controlGroupId","schema":{"type":"string"},"in":"query","explode":true,"description":"The control group of the uplift","required":false,"style":"form"},{"explode":true,"in":"query","name":"experimentIds","style":"form","description":"Experiments of the uplift","schema":{"type":"array","items":{"type":"string"}},"required":false},{"name":"first_result","explode":true,"description":"Offset from which the search must be performed","schema":{"type":"integer","format":"int32"},"in":"query","style":"form","required":false},{"name":"max_results","explode":true,"description":"Number of maximum items that may be returned by this search","schema":{"type":"integer","format":"int32"},"style":"form","required":false,"in":"query"},{"style":"form","schema":{"type":"array","items":{"type":"string"}},"explode":true,"name":"order_by","description":"Fields used to order the result","required":false,"in":"query"},{"style":"form","name":"keywords","schema":{"type":"string"},"in":"query","required":false,"description":"Word contained in the audience feature name or description","explode":true}],"tags":["Uplifts"],"operationId":"findUplifts","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"first_result":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/UpliftResource"}},"count":{"type":"integer"},"total":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"max_results":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Find an uplift"}}},"components":{"schemas":{"UpliftInitialSourceType":{"type":"string","enum":["QUERY","USER_QUERY_SEGMENT","USER_LIST_SEGMENT","EDGE","USER_PIXEL"],"readOnly":false},"UpliftResource":{"type":"object","properties":{"description":{"type":"string","readOnly":false},"control_group_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true},"datamart_id":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"initial_query_text":{"type":"string","readOnly":false},"experiment_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"id":{"type":"string","readOnly":true},"initial_source_type":{"$ref":"#/components/schemas/UpliftInitialSourceType"},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["archived","control_group_id","created_by","creation_ts","datamart_id","experiment_ids","id","initial_query_text","initial_source_type","last_modified_by","last_modified_ts","name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /datamarts/{datamart\_id}/uplifts

> Create an uplift

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Uplifts","description":"Operations related to **Uplifts** for creating mutually exclusive test and control segments to measure incremental campaign impact through A/B testing. Enable measurement of true campaign effectiveness by comparing exposed groups against unexposed control groups to determine uplift in conversions and other KPIs.\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/uplifts":{"post":{"operationId":"createUplift","parameters":[{"explode":false,"name":"datamart_id","in":"path","schema":{"type":"integer","format":"int64"},"style":"simple","required":true}],"summary":"Create an uplift","description":"","tags":["Uplifts"],"requestBody":{"description":"The uplift to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpliftResource"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/UpliftResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"UpliftResource":{"type":"object","properties":{"description":{"type":"string","readOnly":false},"control_group_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true},"datamart_id":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"initial_query_text":{"type":"string","readOnly":false},"experiment_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"id":{"type":"string","readOnly":true},"initial_source_type":{"$ref":"#/components/schemas/UpliftInitialSourceType"},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["archived","control_group_id","created_by","creation_ts","datamart_id","experiment_ids","id","initial_query_text","initial_source_type","last_modified_by","last_modified_ts","name"]},"UpliftInitialSourceType":{"type":"string","enum":["QUERY","USER_QUERY_SEGMENT","USER_LIST_SEGMENT","EDGE","USER_PIXEL"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /datamarts/{datamart\_id}/uplifts/{uplift\_id}

> Get an uplift

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Uplifts","description":"Operations related to **Uplifts** for creating mutually exclusive test and control segments to measure incremental campaign impact through A/B testing. Enable measurement of true campaign effectiveness by comparing exposed groups against unexposed control groups to determine uplift in conversions and other KPIs.\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/uplifts/{uplift_id}":{"get":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/UpliftResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Uplifts"],"summary":"Get an uplift","parameters":[{"required":true,"style":"simple","name":"datamart_id","in":"path","schema":{"type":"integer","format":"int64"},"explode":false},{"explode":false,"in":"path","style":"simple","schema":{"type":"string"},"required":true,"name":"uplift_id"}],"description":"","operationId":"getUplift"}}},"components":{"schemas":{"UpliftResource":{"type":"object","properties":{"description":{"type":"string","readOnly":false},"control_group_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true},"datamart_id":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"initial_query_text":{"type":"string","readOnly":false},"experiment_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"id":{"type":"string","readOnly":true},"initial_source_type":{"$ref":"#/components/schemas/UpliftInitialSourceType"},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["archived","control_group_id","created_by","creation_ts","datamart_id","experiment_ids","id","initial_query_text","initial_source_type","last_modified_by","last_modified_ts","name"]},"UpliftInitialSourceType":{"type":"string","enum":["QUERY","USER_QUERY_SEGMENT","USER_LIST_SEGMENT","EDGE","USER_PIXEL"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /datamarts/{datamart\_id}/uplifts/{uplift\_id}

> Update an uplift

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Uplifts","description":"Operations related to **Uplifts** for creating mutually exclusive test and control segments to measure incremental campaign impact through A/B testing. Enable measurement of true campaign effectiveness by comparing exposed groups against unexposed control groups to determine uplift in conversions and other KPIs.\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/uplifts/{uplift_id}":{"put":{"requestBody":{"description":"The uplift to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpliftResource"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/UpliftResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"style":"simple","required":true,"in":"path","explode":false,"schema":{"type":"integer","format":"int64"},"name":"datamart_id"},{"in":"path","name":"uplift_id","explode":false,"schema":{"type":"string"},"style":"simple","required":true}],"tags":["Uplifts"],"operationId":"updateUplift","description":"","summary":"Update an uplift"}}},"components":{"schemas":{"UpliftResource":{"type":"object","properties":{"description":{"type":"string","readOnly":false},"control_group_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true},"datamart_id":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"initial_query_text":{"type":"string","readOnly":false},"experiment_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"id":{"type":"string","readOnly":true},"initial_source_type":{"$ref":"#/components/schemas/UpliftInitialSourceType"},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["archived","control_group_id","created_by","creation_ts","datamart_id","experiment_ids","id","initial_query_text","initial_source_type","last_modified_by","last_modified_ts","name"]},"UpliftInitialSourceType":{"type":"string","enum":["QUERY","USER_QUERY_SEGMENT","USER_LIST_SEGMENT","EDGE","USER_PIXEL"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /datamarts/{datamart\_id}/uplifts/{uplift\_id}

> Delete an uplift

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Uplifts","description":"Operations related to **Uplifts** for creating mutually exclusive test and control segments to measure incremental campaign impact through A/B testing. Enable measurement of true campaign effectiveness by comparing exposed groups against unexposed control groups to determine uplift in conversions and other KPIs.\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/uplifts/{uplift_id}":{"delete":{"description":"","tags":["Uplifts"],"operationId":"deleteUplift","parameters":[{"name":"datamart_id","explode":false,"in":"path","schema":{"type":"integer","format":"int64"},"required":true,"style":"simple"},{"style":"simple","explode":false,"in":"path","required":true,"schema":{"type":"string"},"name":"uplift_id"}],"summary":"Delete an uplift","responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/datamart-management/uplifts.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
